Bug 1388757 - [GSS](6.4.z) WELD-1256 - AbstractConversationContext calls conversation.end() without checking if its transient
Summary: [GSS](6.4.z) WELD-1256 - AbstractConversationContext calls conversation.end()...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld
Version: 6.4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.14
Assignee: Fedor Gavrilov
QA Contact: Matej Novotny
URL:
Whiteboard:
Depends On:
Blocks: eap6414-payload 1417805
TreeView+ depends on / blocked
 
Reported: 2016-10-26 06:13 UTC by Masafumi Miura
Modified: 2020-02-14 18:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 08:25:00 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker WELD-1256 0 Major Resolved AbstractConversationContext calls conversation.end() without checking if its transient 2020-09-24 09:10:29 UTC
Red Hat Knowledge Base (Solution) 1221943 0 None None None 2016-10-26 06:17:13 UTC

Description Masafumi Miura 2016-10-26 06:13:36 UTC
Description of problem:

Backport WELD-1256 "AbstractConversationContext calls conversation.end() without checking if its transient"

https://issues.jboss.org/browse/WELD-1256


Version-Release number of selected component (if applicable):

weld-core 1.1.31.Final (as far as checking source code, same implementation in 1.1.33.Final)


Additional info:

Though there's no reproducer, we have several customers facing this issue. 
A comment in WELD-1256 has some information to reproduce the issue.

Comment 1 Fedor Gavrilov 2016-11-23 12:04:36 UTC
PR: https://github.com/weld/core/pull/1511

Comment 2 Petr Penicka 2017-03-23 08:25:00 UTC
Released with EAP 6.4.14 on March 14 (ZIPs) and March 22 (RPMs).


Note You need to log in before you can comment on or make changes to this bug.